%undefine py2dir
%define py2dir %{_builddir}/dnspython/dnspython-%{version}
%undefine py3dir
%define py3dir %{_builddir}/dnspython/dnspython3-%{version}
%define py3unpack -a 2

Name:          python-dnspython
Version:       1.11.1
Release:       %mkrel 3
Source0:       http://www.dnspython.org/kits/%{version}/dnspython-%{version}.tar.gz
Source1:       http://www.dnspython.org/kits/%{version}/dnspython-%{version}.tar.gz.asc
Source2:       http://www.dnspython.org/kits3/%{version}/dnspython3-%{version}.tar.gz
Source3:       http://www.dnspython.org/kits3/%{version}/dnspython3-%{version}.tar.gz.asc
License:       MIT
URL:           http://www.dnspython.org/
Summary:       DNS toolkit for Python
Group:         Development/Python
BuildArch:     noarch
Provides:      dnspython = %{version}-%{release}
BuildRequires: pkgconfig(python)
BuildRequires: python-pycrypto
Requires:      python-pycrypto

%description
dnspython is a DNS toolkit for Python. It supports almost all record
types. It can be used for queries, zone transfers, and dynamic updates.
It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high level
classes perform queries for data of a given name, type, and class, and
return an answer set. The low level classes allow direct manipulation
of DNS zones, messages, names, and records.

%package -n python3-dnspython3
Summary:       DNS toolkit for Python 3
Group:         Development/Python
Provides:      dnspython3 = %{version}-%{release}

BuildRequires: pkgconfig(python3)
BuildRequires: python3-pycrypto
Requires:      python3-pycrypto

%description -n python3-dnspython3
dnspython3 is a DNS toolkit for Python 3. It supports almost all
record types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython3 provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.


%prep
%setup -q -T -c -n dnspython -a 0 %{?py3unpack:%{py3unpack}}

# strip executable permissions so that we don't pick up dependencies
# from documentation
find %{py2dir}/examples -type f | xargs chmod a-x
find %{py3dir}/examples -type f | xargs chmod a-x


%build
pushd %{py2dir}
%{__python} setup.py build
popd
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py2dir}
%{__python} setup.py install --skip-build --root %{buildroot}
popd
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%check
pushd %{py2dir}/tests
# skip one test because it queries the network
for py in *.py
do
  if [ $py != resolver.py ]
  then
    PYTHONPATH=%{buildroot}%{python_sitelib} %{__python} $py
  fi
done
popd

pushd %{py3dir}/tests
# skip one test because it queries the network
for py in *.py
do
  if [ $py != resolver.py ]
  then
    PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} $py
  fi
done
popd

%files
%doc dnspython-%{version}/{ChangeLog,LICENSE,README,examples}
%{python_sitelib}/*egg-info
%{python_sitelib}/dns

%files -n python3-dnspython3
%defattr(-,root,root,-)
%doc dnspython3-%{version}/{ChangeLog,LICENSE,README,examples}
%{python3_sitelib}/*egg-info
%{python3_sitelib}/dns



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.11.1-3.mga4
+ Revision: 543321
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.11.1-2.mga4
+ Revision: 498431
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 1.11.1-1.mga4
+ Revision: 491663
- Update to 1.11.1

* Sun Sep 01 2013 philippem <philippem> 1.11.0-1.mga4
+ Revision: 474138
- update to 1.11.0, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.9.4-2.mga3
+ Revision: 378755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 22 2011 dmorgan <dmorgan> 1.9.4-1.mga2
+ Revision: 111984
- imported package python-dnspython


* Mon May 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.4-1mdv2011.0
+ Revision: 662530
- update to new version 1.9.4

* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 1.9.2-1mdv2011.0
+ Revision: 600934
- update to new version 1.9.2

* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 1.8.0-2mdv2011.0
+ Revision: 598984
- rebuild for py2.7

* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.0-1mdv2011.0
+ Revision: 569667
- update to new version 1.8.0

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.1-1mdv2010.0
+ Revision: 397063
- update to new version 1.7.1

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.0-1mdv2010.0
+ Revision: 384248
- update to new version 1.6.0

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 1.5.0-6mdv2009.1
+ Revision: 323622
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-5mdv2009.0
+ Revision: 259578
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-4mdv2009.0
+ Revision: 247405
- rebuild
- fix no-buildroot-tag

* Mon Nov 05 2007 Nicolas Vigier <nvigier@mandriva.com> 1.5.0-2mdv2008.1
+ Revision: 106164
- add provides on dnspython
- import python-dnspython


